# PSF-LoginServer - master - net.psforever.packet.control.ControlSyncResp
PSF - LoginServer - master - net.psforever.packet.control.ControlSyncResp
Keywords: PSF LoginServer master net.psforever.packet.control.ControlSyncResp

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package control
  Definition Classes
    packet
- ClientStart
- ConnectionClose
- ControlSync
- ControlSyncResp
- HandleGamePacket
- MultiPacket
- MultiPacketEx
- RelatedA
- RelatedB
- ServerStart
- SlottedMetaPacket
- TeardownConnection
- Unknown30

c

net.psforever.packet.control

# ControlSyncResp 

###
Companion object ControlSyncResp

#### final case class ControlSyncResp(timeDiff: Int, serverTick: Long, field1: Long, field2: Long, field3: Long, field4: Long) extends PlanetSideControlPacket with Product with Serializable

The response packet dispatched by the server to a client's `ControlSync` packet. As noted, it echoes most of the fields originating from within its companion packet except for `serverTick`.

timeDiff

  na; echoes `ControlSync.timeDiff`

serverTick

  na

field1

  na; echoes `ControlSync.field64A`

field2

  na; echoes `ControlSync.field64B`

field3

  na; echoes `ControlSync.field64B` (+/- 1)

field4

  na; echoes `ControlSync.field64A`

Source
  ControlSyncResp.scala

Linear Supertypes
Product, Equals, PlanetSideControlPacket, PlanetSidePacket, Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ControlSyncResp
2. Product
3. Equals
4. PlanetSideControlPacket
5. PlanetSidePacket
6. Serializable
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ControlSyncResp(timeDiff: Int, serverTick: Long, field1: Long, field2: Long, field3: Long, field4: Long)

   timeDiff

     na; echoes `ControlSync.timeDiff`

   serverTick

     na

   field1

     na; echoes `ControlSync.field64A`

   field2

     na; echoes `ControlSync.field64B`

   field3

     na; echoes `ControlSync.field64B` (+/- 1)

   field4

     na; echoes `ControlSync.field64A`

### Type Members

1.  type Packet = ControlSyncResp

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  def encode: Attempt[BitVector]
   Definition Classes
     ControlSyncResp → PlanetSidePacket
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  val field1: Long
9.  val field2: Long
10.  val field3: Long
11.  val field4: Long
12.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
13.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  def opcode: ControlPacketOpcode.Value
    Definition Classes
      ControlSyncResp → PlanetSideControlPacket → PlanetSidePacket
19.  def productElementNames: Iterator[String]
    Definition Classes
      Product
20.  val serverTick: Long
21.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
22.  val timeDiff: Int
23.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
24.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
25.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Product

### Inherited from Equals

### Inherited from PlanetSideControlPacket

### Inherited from PlanetSidePacket

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped